summaryrefslogtreecommitdiff
path: root/contrib/whoisd/whoisd-cached.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/whoisd/whoisd-cached.sh')
-rwxr-xr-xcontrib/whoisd/whoisd-cached.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/whoisd/whoisd-cached.sh b/contrib/whoisd/whoisd-cached.sh
new file mode 100755
index 0000000..248fad6
--- /dev/null
+++ b/contrib/whoisd/whoisd-cached.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+cd /var/db/resdb
+commit=$(git log -1 | head -n1 | tr -cd 'a-f0-9')
+query=$(head -n1 | tr -cd 'a-zA-Z0-9.:_-')
+if ! cat "/var/cache/whois/${commit}-${query}" 2>/dev/null;then
+ printf "%s\n" "${query}" | /var/db/resdb/contrib/whoisd/whoisd.pl | tee "/var/cache/whois/${commit}-${query}"
+fi